<div class="example-container mat-elevation-z8">
    <h2>Listado de Libros</h2>
    <div class="example-loading-shade" *ngIf="isLoadingResults">
        <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
    </div>
    <div class="button-row">
        <a mat-flat-button color="primary" [routerLink]="['/books-add']">
            <mat-icon>add</mat-icon> Libros
        </a>
    </div>
    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="data" class="example-table" matSort matSortActive="name" matSortDisableClear
            matSortDirection="asc">

            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef>Nombre</th>
                <td mat-cell *matCellDef="let row">{{row.name}}</td>
            </ng-container>

            <ng-container matColumnDef="author">
                <th mat-header-cell *matHeaderCellDef>Autor</th>
                <td mat-cell *matCellDef="let row">{{row.author}}</td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;" [routerLink]="['/books-details/', row._id]">
            </tr>
        </table>
    </div>
</div>